Bug 118553 - Failed to read non-linked symbolic link files on /usr/share/applications, crash gnome-panel
Failed to read non-linked symbolic link files on /usr/share/applications, cra...
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-17 12:50 EST by sangu
Modified: 2013-04-02 00:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-07 09:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sangu 2004-03-17 12:50:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.2.0

Description of problem:
Failed to read non-linked symbolic link files on
/usr/share/applications,  gnome-panel crash.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. startx 
2. clash gnome-panel

Additional info:

Comment 1 sangu 2004-03-17 13:01:42 EST
Comment 2 Alexander Larsson 2004-03-18 04:37:56 EST
I don't understand what you mean, could you give more details steps on
exactly how to reproduce this?
Comment 3 sangu 2004-03-18 05:45:35 EST
1. /usr/share/applications/@foo.desktop
@foo.desktop file is "ln -s foo.desktop taget_diectory/foo.desktop."
2. target_diectory/foo.desktop file is disappeared(or removed).
3. So @foo.desktop file is not linked.


4./usr/lib/gnome-vfs-2.0/modules/libmenu.so fails to read @foo.desktop
5. gnome-panel is crash.

Comment 4 Alexander Larsson 2004-03-19 03:44:35 EST
Dan, this looks like a vfolder issue.
Comment 5 Dan Williams 2004-03-19 09:35:04 EST
Verified and reproduced.  Fix is easy too.
Comment 6 Jeremy Katz 2004-05-06 23:54:39 EDT
Dan -- have you fixed this?
Comment 7 Dan Williams 2004-05-07 09:18:38 EDT
yes, gnome-vfs2-2.6.0-7

Note You need to log in before you can comment on or make changes to this bug.